commit:     0c5d19e3d8f92b56a31d81daadcfaaaa6044ae46
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 27 10:02:55 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Dec 27 10:03:07 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0c5d19e3

sys-apps/file: add 5.44

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-apps/file/Manifest         |   2 +
 sys-apps/file/file-5.44.ebuild | 168 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 170 insertions(+)

diff --git a/sys-apps/file/Manifest b/sys-apps/file/Manifest
index 79a81f398ac8..86eb997f0bb1 100644
--- a/sys-apps/file/Manifest
+++ b/sys-apps/file/Manifest
@@ -1,2 +1,4 @@
 DIST file-5.43.tar.gz 1162786 BLAKE2B 
aaaf32c5054fb83e912af6656e5e67947f45576ec3711c7cba5531ed780e142a448580e0db41a828c8a3c5d2f1bf0c8ed49bc9688499caaae4a08baa16b3610c
 SHA512 
9d02f4e7a69d90468d6bd35df5ec240ddee8c2408b7df3e73427d7f18736baf77db0638a1fe8283f4e6abd1d5ad653890ed3a5a0d48bb52d4023ca4070ecdf06
 DIST file-5.43.tar.gz.asc 195 BLAKE2B 
d7f83b3e21d1390467989f8870e36daa48ebb8c5ac7ab8dc6d667a65d10561126d32cfc5ef3d81a130990b3e46bcba9b5e03f0a7dd169782351b02cebec2471f
 SHA512 
c565958840f2f5c62821cd08d4149ec97c574232913ec00400473364e160250cfaced8c715e109c4c617359e33d2470f7ca6af1891cbdf994329e890f90c8be3
+DIST file-5.44.tar.gz 1186437 BLAKE2B 
a90ccae738a95315d75a0aaee7bbff3624425cc9267daf18ba9147b7c9b9ebfb31288b54c63a73e4695eca0e876f206e40bcb81c422f1bf572b976e753b25a42
 SHA512 
26c3b9c7a6950649d0b2de896bfeca54289febe4cd487c0f91aa6ff1857fa49f9077f8738a17b86100125668a31dae05b586615c564f78da47ac20a1e4a74f63
+DIST file-5.44.tar.gz.asc 195 BLAKE2B 
a0905d42fec0fa052d75fb5b267c6ae223176451c0f1d3346006d4b760c3d858f2dcda5f0a30c6aa4b09b5afee427b75bc4debd5033d978f39dc1da01d3e1bd1
 SHA512 
1a4dc39283f4859581441aa35b3ed72b323c4e05ca0960d17126d1b9ec18465c695c0545e24f09f8437a60ab52e582be67b6cbbc656bbb676de00148c3644d23

diff --git a/sys-apps/file/file-5.44.ebuild b/sys-apps/file/file-5.44.ebuild
new file mode 100644
index 000000000000..0bcf7bae6d9e
--- /dev/null
+++ b/sys-apps/file/file-5.44.ebuild
@@ -0,0 +1,168 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+DISTUTILS_OPTIONAL=1
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1 libtool toolchain-funcs multilib-minimal
+
+if [[ ${PV} == 9999 ]] ; then
+       EGIT_REPO_URI="https://github.com/glensc/file.git";
+       inherit autotools git-r3
+else
+       VERIFY_SIG_OPENPGP_KEY_PATH="${BROOT}"/usr/share/openpgp-keys/file.asc
+       inherit verify-sig
+       SRC_URI="ftp://ftp.astron.com/pub/file/${P}.tar.gz";
+       SRC_URI+=" verify-sig? ( ftp://ftp.astron.com/pub/file/${P}.tar.gz.asc 
)"
+
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc 
~ppc64 ~riscv ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+       BDEPEND="verify-sig? ( sec-keys/openpgp-keys-file )"
+fi
+
+DESCRIPTION="Identify a file's format by scanning binary data for patterns"
+HOMEPAGE="https://www.darwinsys.com/file/";
+
+LICENSE="BSD-2"
+SLOT="0"
+IUSE="bzip2 lzip lzma python seccomp static-libs zlib zstd"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+DEPEND="
+       bzip2? ( app-arch/bzip2[${MULTILIB_USEDEP}] )
+       lzip? ( app-arch/lzlib )
+       lzma? ( app-arch/xz-utils[${MULTILIB_USEDEP}] )
+       python? (
+               ${PYTHON_DEPS}
+               dev-python/setuptools[${PYTHON_USEDEP}]
+       )
+       zlib? ( >=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}] )
+       zstd? ( app-arch/zstd:=[${MULTILIB_USEDEP}] )
+"
+RDEPEND="${DEPEND}
+       python? ( !dev-python/python-magic )
+       seccomp? ( sys-libs/libseccomp[${MULTILIB_USEDEP}] )"
+BDEPEND+="
+       python? (
+               ${PYTHON_DEPS}
+               ${DISTUTILS_DEPS}
+       )"
+
+PATCHES=(
+       "${FILESDIR}/file-5.39-portage-sandbox.patch" #713710 #728978
+       "${FILESDIR}/file-5.40-seccomp-fstatat64-musl.patch" #789336, not 
upstream yet
+)
+
+src_prepare() {
+       default
+
+       if [[ ${PV} == 9999 ]] ; then
+               eautoreconf
+       else
+               elibtoolize
+       fi
+
+       # Don't let python README kill main README, bug ##60043
+       mv python/README.md python/README.python.md || die
+
+       # bug #662090
+       sed 's...@readme.md@README.python.md@' -i python/setup.py || die
+}
+
+multilib_src_configure() {
+       local myeconfargs=(
+               --enable-fsect-man5
+               $(use_enable bzip2 bzlib)
+               $(multilib_native_use_enable lzip lzlib)
+               $(use_enable lzma xzlib)
+               $(use_enable seccomp libseccomp)
+               $(use_enable static-libs static)
+               $(use_enable zlib)
+               $(use_enable zstd zstdlib)
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+build_src_configure() {
+       local myeconfargs=(
+               --disable-shared
+               --disable-libseccomp
+               --disable-bzlib
+               --disable-xzlib
+               --disable-zlib
+       )
+
+       econf_build "${myeconfargs[@]}"
+}
+
+need_build_file() {
+       # When cross-compiling, we need to build up our own file
+       # because people often don't keep matching host/target
+       # file versions, bug #362941
+       tc-is-cross-compiler && ! has_version -b "~${CATEGORY}/${P}"
+}
+
+src_configure() {
+       local ECONF_SOURCE="${S}"
+
+       if need_build_file ; then
+               mkdir -p "${WORKDIR}"/build || die
+               cd "${WORKDIR}"/build || die
+               build_src_configure
+       fi
+
+       multilib-minimal_src_configure
+}
+
+multilib_src_compile() {
+       if multilib_is_native_abi ; then
+               emake
+       else
+               # bug #586444
+               emake -C src magic.h
+               emake -C src libmagic.la
+       fi
+}
+
+src_compile() {
+       if need_build_file ; then
+               # bug #586444
+               emake -C "${WORKDIR}"/build/src magic.h
+               emake -C "${WORKDIR}"/build/src file
+               local -x PATH="${WORKDIR}/build/src:${PATH}"
+       fi
+
+       multilib-minimal_src_compile
+
+       if use python ; then
+               cd python || die
+               distutils-r1_src_compile
+       fi
+}
+
+multilib_src_install() {
+       if multilib_is_native_abi ; then
+               default
+       else
+               emake -C src install-{nodist_includeHEADERS,libLTLIBRARIES} 
DESTDIR="${D}"
+       fi
+}
+
+multilib_src_install_all() {
+       dodoc ChangeLog MAINT # README
+
+       # Required for `file -C`
+       insinto /usr/share/misc/magic
+       doins -r magic/Magdir/*
+
+       if use python ; then
+               cd python || die
+               distutils-r1_src_install
+       fi
+
+       find "${ED}" -type f -name "*.la" -delete || die
+}

Reply via email to